View Issue Details

IDProjectCategoryView StatusLast Update
0031485FPCFCLpublic2017-03-13 00:12
ReporterAndrey ZubarevAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionProduct Build 
Target Version3.2.0Fixed in Version3.1.1 
Summary0031485: fcl-passrc fails on generics with object`s in objfpc mode
Descriptionprogram Project1;
{$MODE OBJFPC}
type
generic TGChangeCommand<_T> =object(TCustomChangeCommand)
                                end;
begin
end.

gives Parser error: "Generic can only be used with classes or arrays at token "object" in file passrcerrors.pas at line 4 column 35"

Possible it tangled modes, in the delphi mode I did not notice this. Generics with objects is not necessary to prohibit in any modes. The compiler allows to do this. Or make fine-tune behaviour of the parser
TagsNo tags attached.
Fixed in Revision35571
FPCOldBugId
FPCTarget
Attached Files

Activities

Michael Van Canneyt

2017-03-12 13:11

administrator   ~0098840

Fixed, thanks for reporting!

Andrey Zubarev

2017-03-13 00:12

reporter   ~0098856

Thanks!

Issue History

Date Modified Username Field Change
2017-03-05 18:39 Andrey Zubarev New Issue
2017-03-10 08:05 Michael Van Canneyt Assigned To => Michael Van Canneyt
2017-03-10 08:05 Michael Van Canneyt Status new => assigned
2017-03-12 13:11 Michael Van Canneyt Fixed in Revision => 35571
2017-03-12 13:11 Michael Van Canneyt Note Added: 0098840
2017-03-12 13:11 Michael Van Canneyt Status assigned => resolved
2017-03-12 13:11 Michael Van Canneyt Fixed in Version => 3.1.1
2017-03-12 13:11 Michael Van Canneyt Resolution open => fixed
2017-03-12 13:11 Michael Van Canneyt Target Version => 3.2.0
2017-03-13 00:12 Andrey Zubarev Note Added: 0098856
2017-03-13 00:12 Andrey Zubarev Status resolved => closed